CREATE TABLE fv_cta_extract (
    CTA_EXTRACT_ID                   NUMBER(18, 0),
    CTA_REQUEST_ID                   NUMBER(18, 0),
    RECORD_TYPE_CODE                 VARCHAR2(120),
    SUBMISSION_COUNT                 NUMBER(18, 0),
    AGENCY_LOCATION_CODE             VARCHAR2(120),
    TAS_AGENCY_IDENTIFIER            VARCHAR2(12) ,
    TAS_BEG_YEAR_AVAILABILITY        VARCHAR2(16) ,
    TAS_END_YEAR_AVAILABILITY        VARCHAR2(16) ,
    TAS_AVAILABILITY_TYPE_CODE       VARCHAR2(16) ,
    TAS_MAIN_ACCOUNT_CODE            VARCHAR2(120),
    TAS_SUB_ACCOUNT_CODE             VARCHAR2(120),
    TAS_ALLOC_TRANSFER_AGENCY        VARCHAR2(12) ,
    TAS_SUB_LEVEL_PREFIX_CODE        VARCHAR2(120),
    BUSINESS_EVENT_TYPE_CODE         VARCHAR2(32) ,
    SEQUENCE_OF_REPEATED_TAS         NUMBER(18, 0),
    SUMMARIZED_AMOUNT                NUMBER       ,
    DETAIL_SUMMARY_FLAG              VARCHAR2(4)  ,
    LEDGER_NAME                      VARCHAR2(120),
    RECLASSIFIED_DOCUMENT            VARCHAR2(400),
    RECLASSIFICATION_DOCUMENT        VARCHAR2(400),
    TREASURY_ACCOUNT_SYMBOL          VARCHAR2(80) ,
    DEBIT_AMOUNT                     NUMBER       ,
    CREDIT_AMOUNT                    NUMBER       ,
    TRANSACTION_SOURCE_CODE          VARCHAR2(120),
    REPORT_PERIOD_NAME               VARCHAR2(60) ,
    REPORT_MODE_CODE                 VARCHAR2(120),
    REPORTING_DATE                   DATE         ,
    ACCOUNT_SEGMENT_VALUE            VARCHAR2(100),
    JOURNAL_NAME                     VARCHAR2(400),
    CTA_STATUS_CODE                  VARCHAR2(120),
    PAYMENT_OR_COLLECTION_CODE       VARCHAR2(120),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    INVOICE_DISTRIBUTION_ID          NUMBER(18, 0),
    JE_HEADER_ID                     NUMBER(18, 0),
    AR_DISTRIBUTION_ID               NUMBER(18, 0),
    VOIDED_CHECK_ID                  NUMBER(18, 0),
    TP_RECORD_TYPE_CODE              VARCHAR2(120),
    TP_AGENCY_LOCATION_CODE          VARCHAR2(120),
    TP_TREASURY_ACCOUNT_SYMBOL_ID    NUMBER(18, 0),
    TP_BUSINESS_EVENT_TYPE_CODE      VARCHAR2(32) ,
    TP_PAYMENT_COLLECTION_CODE       VARCHAR2(120),
    VOIDED_TRANSACTION_FLAG          VARCHAR2(4)  ,
    CTA_EXTRACT_ID                   NUMBER(18, 0),
    CTA_REQUEST_ID                   NUMBER(18, 0),
    RECORD_TYPE_CODE                 VARCHAR2(120),
    SUBMISSION_COUNT                 NUMBER(18, 0),
    AGENCY_LOCATION_CODE             VARCHAR2(120),
    TAS_AGENCY_IDENTIFIER            VARCHAR2(12) ,
    TAS_BEG_YEAR_AVAILABILITY        VARCHAR2(16) ,
    TAS_END_YEAR_AVAILABILITY        VARCHAR2(16) ,
    TAS_AVAILABILITY_TYPE_CODE       VARCHAR2(16) ,
    TAS_MAIN_ACCOUNT_CODE            VARCHAR2(120),
    TAS_SUB_ACCOUNT_CODE             VARCHAR2(120),
    TAS_ALLOC_TRANSFER_AGENCY        VARCHAR2(12) ,
    TAS_SUB_LEVEL_PREFIX_CODE        VARCHAR2(120),
    BUSINESS_EVENT_TYPE_CODE         VARCHAR2(32) ,
    SEQUENCE_OF_REPEATED_TAS         NUMBER(18, 0),
    SUMMARIZED_AMOUNT                NUMBER       ,
    DETAIL_SUMMARY_FLAG              VARCHAR2(4)  ,
    LEDGER_NAME                      VARCHAR2(120),
    RECLASSIFIED_DOCUMENT            VARCHAR2(400),
    RECLASSIFICATION_DOCUMENT        VARCHAR2(400),
    TREASURY_ACCOUNT_SYMBOL          VARCHAR2(80) ,
    DEBIT_AMOUNT                     NUMBER       ,
    CREDIT_AMOUNT                    NUMBER       ,
    TRANSACTION_SOURCE_CODE          VARCHAR2(120),
    REPORT_PERIOD_NAME               VARCHAR2(60) ,
    REPORT_MODE_CODE                 VARCHAR2(120),
    REPORTING_DATE                   DATE         ,
    ACCOUNT_SEGMENT_VALUE            VARCHAR2(100),
    JOURNAL_NAME                     VARCHAR2(400),
    CTA_STATUS_CODE                  VARCHAR2(120),
    PAYMENT_OR_COLLECTION_CODE       VARCHAR2(120),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    INVOICE_DISTRIBUTION_ID          NUMBER(18, 0),
    JE_HEADER_ID                     NUMBER(18, 0),
    AR_DISTRIBUTION_ID               NUMBER(18, 0),
    VOIDED_CHECK_ID                  NUMBER(18, 0),
    TP_RECORD_TYPE_CODE              VARCHAR2(120),
    TP_AGENCY_LOCATION_CODE          VARCHAR2(120),
    TP_TREASURY_ACCOUNT_SYMBOL_ID    NUMBER(18, 0),
    TP_BUSINESS_EVENT_TYPE_CODE      VARCHAR2(32) ,
    TP_PAYMENT_COLLECTION_CODE       VARCHAR2(120),
    VOIDED_TRANSACTION_FLAG          VARCHAR2(4)  ,
    CONSTRAINT pk_fv_cta_extract PRIMARY KEY (CTA_EXTRACT_ID, CTA_EXTRACT_ID)
);
